weka.core

## Class PropertyPath.Path

- java.lang.Object
- - weka.core.PropertyPath.Path

- All Implemented Interfaces:
    RevisionHandler
  Enclosing class:
    PropertyPath

      public static class PropertyPath.Path
      extends java.lang.Object
      implements RevisionHandler

  Contains a (property) path structure
  Version:
    $Revision: 8034 $
  Author:
    fracpete (fracpete at waikato dot ac dot nz)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Path(java.lang.String path)` uses the given dot-path
    `Path(java.lang.String[] elements)` uses the given array as elements for the path
    `Path(java.util.Vector<PropertyPath.PathElement> elements)` uses the vector with PathElement objects to initialize with

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PropertyPath.PathElement` | `get(int index)` returns the element at the given index
    `java.lang.String` | `getRevision()` Returns the revision string.
    `static PropertyPath.Path` | `parsePath(java.lang.String path)` returns a path object based on the given path string
    `int` | `size()` returns the number of path elements of this structure
    `PropertyPath.Path` | `subpath(int startIndex)` returns a subpath of the current structure, starting with the specified element index up to the end
    `PropertyPath.Path` | `subpath(int startIndex, int endIndex)` returns a subpath of the current structure, starting with the specified element index up.
    `java.lang.String` | `toString()` returns the structure again as a dot-path

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Path

          public Path(java.lang.String path)

      uses the given dot-path
      Parameters:
        `path` - path in dot-notation

    - #### Path

          public Path(java.util.Vector<PropertyPath.PathElement> elements)

      uses the vector with PathElement objects to initialize with
      Parameters:
        `elements` - the PathElements to use

    - #### Path

          public Path(java.lang.String[] elements)

      uses the given array as elements for the path
      Parameters:
        `elements` - the path elements to use

  - ### Method Detail

    - #### get

          public PropertyPath.PathElement get(int index)

      returns the element at the given index
      Parameters:
        `index` - the index of the element to return
      Returns:
        the specified element

    - #### size

          public int size()

      returns the number of path elements of this structure
      Returns:
        the number of path elements

    - #### parsePath

          public static PropertyPath.Path parsePath(java.lang.String path)

      returns a path object based on the given path string
      Parameters:
        `path` - path to work on
      Returns:
        the path structure

    - #### subpath

          public PropertyPath.Path subpath(int startIndex)

      returns a subpath of the current structure, starting with the specified element index up to the end
      Parameters:
        `startIndex` - the first element of the subpath
      Returns:
        the new subpath

    - #### subpath

          public PropertyPath.Path subpath(int startIndex,
                                           int endIndex)

      returns a subpath of the current structure, starting with the specified element index up. The endIndex specifies the element that is not part of the new subpath. In other words, the new path contains the elements from "startIndex" up to "(endIndex-1)".
      Parameters:
        `startIndex` - the first element of the subpath
        `endIndex` - the element that is after the last added element
      Returns:
        the new subpath

    - #### toString

          public java.lang.String toString()

      returns the structure again as a dot-path
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        the path structure as dot-path

    - #### getRevision

          public java.lang.String getRevision()

      Returns the revision string.
      Specified by:
        `getRevision` in interface `RevisionHandler`
      Returns:
        the revision